Page 1 of 1

WINDOW_JumpScreenMenu attribute??

PostPosted: Fri Dec 15, 2017 5:35 pm
by xenic
In the window_cl.doc autodoc under the WINDOW_PopupGadget attribute there is a paragraph with this sentence:

"If the WINDOW_JumpScreenMenu attribute is set and there is more than one public screen open, the menu will also have a "Jump to Screen" option."

I searched the SDK and can't find WINDOW_JumpScreenMenu listed anywhere else. However, I later found WINDOW_JumpScreensMenu (Screens is plural while the above sentence has Screen singular). Can someone please add an "s" to the "Window_JumpScreenMenu" item in the above sentence so that it accurately reads "WINDOW_JumpScreensMenu".

Re: WINDOW_JumpScreenMenu attribute??

PostPosted: Fri Dec 15, 2017 7:33 pm
by broadblues
xenic wrote:In the window_cl.doc autodoc under the WINDOW_PopupGadget attribute there is a paragraph with this sentence:

"If the WINDOW_JumpScreenMenu attribute is set and there is more than one public screen open, the menu will also have a "Jump to Screen" option."

I searched the SDK and can't find WINDOW_JumpScreenMenu listed anywhere else. However, I later found WINDOW_JumpScreensMenu (Screens is plural while the above sentence has Screen singular). Can someone please add an "s" to the "Window_JumpScreenMenu" item in the above sentence so that it accurately reads "WINDOW_JumpScreensMenu".


Appears to be correct here:

the WINDOW_JumpScreensMenu attribute is set and there

Re: WINDOW_JumpScreenMenu attribute??

PostPosted: Fri Dec 15, 2017 11:43 pm
by xenic
broadblues wrote:
Appears to be correct here:

the WINDOW_JumpScreensMenu attribute is set and there


Strange. It's not correct in my autodocs and is incorrect in the WIKI autodocs as well. Are you sure your window_cl.doc autodoc isn't an updated version (since the release of the last SDK)? I just downloaded SDK v53.30 and it's wrong in that window_cl.doc autodoc.

Re: WINDOW_JumpScreenMenu attribute??

PostPosted: Sat Dec 16, 2017 1:22 am
by broadblues
Are you sure your window_cl.doc autodoc isn't an updated version (since the release of the last SDK)?


I'm 100% sure it *is* an updated version.

Maybe I should have been fraction more verbose:

Appears to be correct here, so fixed already :-)